#-----------------------------------------------------------------------------
#This a SPEC file to port binutils
#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	man-pages
Version		:	6.8
Release		:	17.0.10.rel%{?dist}
Summary		:	Man (manual) pages from the Linux Documentation Project
Group		:	Documentation

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GPL+ and BSD and MIT and Copyright only and IEEE
Url		:	http://www.kernel.org/pub/linux/docs/man-pages/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,0755)
%{_mandir}/man1/*.1.gz
%{_mandir}/man2/*.2.gz
%{_mandir}/man2type/open_how.2type.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man3type/*.3type.gz
%{_mandir}/man3const/*.3const.gz
%{_mandir}/man3head/*.3head.gz
%{_mandir}/man4/*.4.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man6/intro.6.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
#conflicting with attr
%{__rm} -f man2/fgetxattr.2
%{__rm} -f man2/flistxattr.2
%{__rm} -f man2/fremovexattr.2
%{__rm} -f man2/fsetxattr.2
%{__rm} -f man2/getxattr.2
%{__rm} -f man2/lgetxattr.2
%{__rm} -f man2/listxattr.2
%{__rm} -f man2/llistxattr.2
%{__rm} -f man2/lremovexattr.2
%{__rm} -f man2/lsetxattr.2
%{__rm} -f man2/removexattr.2
%{__rm} -f man2/setxattr.2
%{__rm} -f man5/attr.5

#conflicting with shadow
%{__rm} -f man3/getspnam.3
%{__rm} -f man5/passwd.5

#conflicting with libxcrypt
%{__rm} -f man3/crypt.3

#conflicting with tz-data-code
%{__rm} -f man5/tzfile.5
%{__rm} -f man8/tzselect.8
%{__rm} -f man8/zdump.8
%{__rm} -f man8/zic.8

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	prefix=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	install 

#-----------------------------------------------------------------------------
%changelog
